Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process
Class ProcessBaseImpl

    java.lang.Object
      org.jbpm.process.ProcessBaseImpl

All Implemented Interfaces:
  org.drools.impl.InternalKnowledgeBase, KieBaseEventManager, KieBase, org.kie.KnowledgeBase

    public class ProcessBaseImpl

extends Object
implements org.drools.impl.InternalKnowledgeBase

Constructor Summary
`ProcessBaseImpl()`

Method Summary
`void` | `addEventListener(KieBaseEventListener listener)` Add an event listener.
`void` | `addKnowledgePackage(org.kie.definition.KnowledgePackage knowledgePackage)`
`void` | `addKnowledgePackages(Collection<org.kie.definition.KnowledgePackage> knowledgePackages)`
`Set<String>` | `getEntryPointIds()` Returns the set of the entry points declared and/or used in this knowledge base
`FactType` | `getFactType(String packageName, String typeName)` Returns the FactType identified by the given package and type names.
`Collection<KieBaseEventListener>` | `getKieBaseEventListeners()` Returns all event listeners.
`KiePackage` | `getKiePackage(String packageName)` Returns a reference to the KnowledgePackage identified by the given name.
`Collection<KiePackage>` | `getKiePackages()` Return an immutable collection of the packages that exist in this KieBase.
`Collection<org.kie.runtime.StatefulKnowledgeSession>` | `getKieSessions()` Return a collection of the StatefulKnowledgeSessions that exist in this KnowledgeBase.
`org.kie.definition.KnowledgePackage` | `getKnowledgePackage(String packageName)`
`Collection<org.kie.definition.KnowledgePackage>` | `getKnowledgePackages()`
`Process` | `getProcess(String processId)` Returns a referent to the Process identified by the given processId
`Collection<Process>` | `getProcesses()`
`Query` | `getQuery(String packageName, String queryName)` Returns a reference to the Rule identified by the given package and rule names.
`Rule` | `getRule(String packageName, String ruleName)` Returns a reference to the Rule identified by the given package and rule names.
`org.drools.RuleBase` | `getRuleBase()`
`Collection<org.kie.runtime.StatefulKnowledgeSession>` | `getStatefulKnowledgeSessions()`
`KieSession` | `newKieSession()` Create a new StatefulKnowledgeSession using the default session configuration.
`KieSession` | `newKieSession(KieSessionConfiguration conf, Environment environment)` Create a new StatefulKnowledgeSession using the given session configuration and/or environment.
`org.kie.runtime.StatefulKnowledgeSession` | `newStatefulKnowledgeSession()`
`org.kie.runtime.StatefulKnowledgeSession` | `newStatefulKnowledgeSession(KieSessionConfiguration conf, Environment environment)`
`org.kie.runtime.StatelessKnowledgeSession` | `newStatelessKieSession()` Create a new StatelessKnowledgeSession using the default session configuration.
`org.kie.runtime.StatelessKnowledgeSession` | `newStatelessKieSession(KieSessionConfiguration conf)` Create a new StatelessKnowledgeSession using the given session configuration.
`org.kie.runtime.StatelessKnowledgeSession` | `newStatelessKnowledgeSession()`
`org.kie.runtime.StatelessKnowledgeSession` | `newStatelessKnowledgeSession(KieSessionConfiguration conf)`
`void` | `removeEventListener(KieBaseEventListener listener)` Remove an event listener.
`void` | `removeFunction(String packageName, String ruleName)` Remove a function from the specified package.
`void` | `removeKiePackage(String packageName)` Remove a KnowledgePackage and all the definitions it contains from the KnowledgeBase.
`void` | `removeKnowledgePackage(String packageName)`
`void` | `removeProcess(String processId)` Remove a process from the specified package.
`void` | `removeQuery(String packageName, String queryName)` Remove a rule from the specified package.
`void` | `removeRule(String packageName, String ruleName)` Remove a rule from the specified package.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessBaseImpl

    public ProcessBaseImpl()

Method Detail

### addEventListener

    public void addEventListener(KieBaseEventListener listener)

  Description copied from interface: `KieBaseEventManager`
  Add an event listener.

  Specified by:
    `addEventListener` in interface `KieBaseEventManager`
  Parameters:
    `listener` - The listener to add.

### removeEventListener

    public void removeEventListener(KieBaseEventListener listener)

  Description copied from interface: `KieBaseEventManager`
  Remove an event listener.

  Specified by:
    `removeEventListener` in interface `KieBaseEventManager`
  Parameters:
    `listener` - The listener to remove.

### getKieBaseEventListeners

    public Collection<KieBaseEventListener> getKieBaseEventListeners()

  Description copied from interface: `KieBaseEventManager`
  Returns all event listeners.

  Specified by:
    `getKieBaseEventListeners` in interface `KieBaseEventManager`
  Returns:
    listeners The listeners.

### addKnowledgePackage

    public void addKnowledgePackage(org.kie.definition.KnowledgePackage knowledgePackage)

### addKnowledgePackages

    public void addKnowledgePackages(Collection<org.kie.definition.KnowledgePackage> knowledgePackages)

  Specified by:
    `addKnowledgePackages` in interface `org.kie.KnowledgeBase`

### getKnowledgePackages

    public Collection<org.kie.definition.KnowledgePackage> getKnowledgePackages()

  Specified by:
    `getKnowledgePackages` in interface `org.kie.KnowledgeBase`

### newStatefulKnowledgeSession

    public org.kie.runtime.StatefulKnowledgeSession newStatefulKnowledgeSession()

  Specified by:
    `newStatefulKnowledgeSession` in interface `org.kie.KnowledgeBase`

### newKieSession

    public KieSession newKieSession()

  Description copied from interface: `KieBase`
  Create a new StatefulKnowledgeSession using the default session configuration. Don't forget to dispose() session when you are done.

  Specified by:
    `newKieSession` in interface `KieBase`
  Returns:
    The StatefulKnowledgeSession.

### newStatefulKnowledgeSession

    public org.kie.runtime.StatefulKnowledgeSession newStatefulKnowledgeSession(KieSessionConfiguration conf,
                                                                                Environment environment)

  Specified by:
    `newStatefulKnowledgeSession` in interface `org.kie.KnowledgeBase`

### newKieSession

    public KieSession newKieSession(KieSessionConfiguration conf,
                                    Environment environment)

  Description copied from interface: `KieBase`
  Create a new StatefulKnowledgeSession using the given session configuration and/or environment. Either one can be null and it will use a default. Don't forget to dispose() session when you are done.

  Specified by:
    `newKieSession` in interface `KieBase`
  Returns:
    The StatefulKnowledgeSession.

### getStatefulKnowledgeSessions

    public Collection<org.kie.runtime.StatefulKnowledgeSession> getStatefulKnowledgeSessions()

  Specified by:
    `getStatefulKnowledgeSessions` in interface `org.kie.KnowledgeBase`

### getKieSessions

    public Collection<org.kie.runtime.StatefulKnowledgeSession> getKieSessions()

  Description copied from interface: `KieBase`
  Return a collection of the StatefulKnowledgeSessions that exist in this KnowledgeBase. Be careful as sessions are not thread-safe and could be in use elsewhere.

  Specified by:
    `getKieSessions` in interface `KieBase`
  Returns:
    a Collection of StatefulKnowledgeSessions

### newStatelessKnowledgeSession

    public org.kie.runtime.StatelessKnowledgeSession newStatelessKnowledgeSession()

  Specified by:
    `newStatelessKnowledgeSession` in interface `org.kie.KnowledgeBase`

### newStatelessKieSession

    public org.kie.runtime.StatelessKnowledgeSession newStatelessKieSession()

  Description copied from interface: `KieBase`
  Create a new StatelessKnowledgeSession using the default session configuration. You do not need to call dispose() on this.

  Specified by:
    `newStatelessKieSession` in interface `KieBase`
  Returns:
    The StatelessKnowledgeSession.

### newStatelessKnowledgeSession

    public org.kie.runtime.StatelessKnowledgeSession newStatelessKnowledgeSession(KieSessionConfiguration conf)

  Specified by:
    `newStatelessKnowledgeSession` in interface `org.kie.KnowledgeBase`

### newStatelessKieSession

    public org.kie.runtime.StatelessKnowledgeSession newStatelessKieSession(KieSessionConfiguration conf)

  Description copied from interface: `KieBase`
  Create a new StatelessKnowledgeSession using the given session configuration. You do not need to call dispose() on this.

  Specified by:
    `newStatelessKieSession` in interface `KieBase`
  Returns:
    The StatelessKnowledgeSession.

### removeKnowledgePackage

    public void removeKnowledgePackage(String packageName)

  Specified by:
    `removeKnowledgePackage` in interface `org.kie.KnowledgeBase`

### removeRule

    public void removeRule(String packageName,
                           String ruleName)

  Description copied from interface: `KieBase`
  Remove a rule from the specified package.

  Specified by:
    `removeRule` in interface `KieBase`
  Specified by:
    `removeRule` in interface `org.kie.KnowledgeBase`

### removeQuery

    public void removeQuery(String packageName,
                            String queryName)

  Description copied from interface: `KieBase`
  Remove a rule from the specified package.

  Specified by:
    `removeQuery` in interface `KieBase`
  Specified by:
    `removeQuery` in interface `org.kie.KnowledgeBase`

### removeFunction

    public void removeFunction(String packageName,
                               String ruleName)

  Description copied from interface: `KieBase`
  Remove a function from the specified package.

  Specified by:
    `removeFunction` in interface `KieBase`
  Specified by:
    `removeFunction` in interface `org.kie.KnowledgeBase`

### removeProcess

    public void removeProcess(String processId)

  Description copied from interface: `KieBase`
  Remove a process from the specified package.

  Specified by:
    `removeProcess` in interface `KieBase`
  Specified by:
    `removeProcess` in interface `org.kie.KnowledgeBase`

### getFactType

    public FactType getFactType(String packageName,
                                String typeName)

  Description copied from interface: `KieBase`
  Returns the FactType identified by the given package and type names.

  Specified by:
    `getFactType` in interface `KieBase`
  Specified by:
    `getFactType` in interface `org.kie.KnowledgeBase`
  Parameters:
    `packageName` - the name of the package the fact belongs to.
    `typeName` - the name of the type.
  Returns:
    the FactType identified by the parameters or null if FactType not found.

### getKnowledgePackage

    public org.kie.definition.KnowledgePackage getKnowledgePackage(String packageName)

  Specified by:
    `getKnowledgePackage` in interface `org.kie.KnowledgeBase`

### getProcess

    public Process getProcess(String processId)

  Description copied from interface: `KieBase`
  Returns a referent to the Process identified by the given processId

  Specified by:
    `getProcess` in interface `KieBase`
  Specified by:
    `getProcess` in interface `org.kie.KnowledgeBase`
  Parameters:
    `processId` - the id of the process
  Returns:
    the Process identified by the given processId or null if process not found.

### getProcesses

    public Collection<Process> getProcesses()

  Specified by:
    `getProcesses` in interface `KieBase`
  Specified by:
    `getProcesses` in interface `org.kie.KnowledgeBase`

### getRule

    public Rule getRule(String packageName,
                        String ruleName)

  Description copied from interface: `KieBase`
  Returns a reference to the Rule identified by the given package and rule names.

  Specified by:
    `getRule` in interface `KieBase`
  Specified by:
    `getRule` in interface `org.kie.KnowledgeBase`
  Parameters:
    `packageName` - the package name to which the rule belongs to.
    `ruleName` - the name of the rule.
  Returns:
    the Rule object or null if not found.

### getQuery

    public Query getQuery(String packageName,
                          String queryName)

  Description copied from interface: `KieBase`
  Returns a reference to the Rule identified by the given package and rule names.

  Specified by:
    `getQuery` in interface `KieBase`
  Specified by:
    `getQuery` in interface `org.kie.KnowledgeBase`
  Parameters:
    `packageName` - the package name to which the rule belongs to.
  Returns:
    the Rule object or null if not found.

### getRuleBase

    public org.drools.RuleBase getRuleBase()

  Specified by:
    `getRuleBase` in interface `org.drools.impl.InternalKnowledgeBase`

### getEntryPointIds

    public Set<String> getEntryPointIds()

  Description copied from interface: `KieBase`
  Returns the set of the entry points declared and/or used in this knowledge base

  Specified by:
    `getEntryPointIds` in interface `KieBase`
  Specified by:
    `getEntryPointIds` in interface `org.kie.KnowledgeBase`
  Returns:

### getKiePackages

    public Collection<KiePackage> getKiePackages()

  Description copied from interface: `KieBase`
  Return an immutable collection of the packages that exist in this KieBase.

  Specified by:
    `getKiePackages` in interface `KieBase`
  Returns:

### getKiePackage

    public KiePackage getKiePackage(String packageName)

  Description copied from interface: `KieBase`
  Returns a reference to the KnowledgePackage identified by the given name.

  Specified by:
    `getKiePackage` in interface `KieBase`
  Parameters:
    `packageName` - the name of the KnowledgePackage to return
  Returns:
    the KnowledgePackage identified by the the given name or null if package not found.

### removeKiePackage

    public void removeKiePackage(String packageName)

  Description copied from interface: `KieBase`
  Remove a KnowledgePackage and all the definitions it contains from the KnowledgeBase.

  Specified by:
    `removeKiePackage` in interface `KieBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.